| Home | Libraries | People | FAQ | More

##### results::out_params

Returns the output parameters of a stored procedure call.

###### Synopsis

    row_view
    out_params() const;

###### Description

Relevant for `CALL` operations performed using prepared statements that bind placeholders to `OUT` or `INOUT` parameters. Returns a row containing a field per bound output parameter.

If this operation had no output parameters (e.g. it wasn't a `CALL`), returns an empty row.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference and any other references obtained from it are valid as long as `*this` is alive. Move operations invalidate references.

###### Complexity

Linear on `this->size()`.